package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @author Yerik Stone
 * @description WmsMoveUnfinishedOrderModel
 * @date 2019/6/26
 */
@Data
@Api("未完成订单模型")
public class WmsMoveUnfinishedOrderModel extends  BaseBean{



    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("未完成数量")
    private Double destQty;

    @ApiParam("业务类型")
    private Integer busiTypeCode;

    @ApiParam("交易类型")
    private String transTypeCode;

    @ApiParam("关联单号")
    private String refSrc;

    public WmsMoveUnfinishedOrderModel(String organizeCode, String partNo, String partNameRdd, Double destQty, Integer busiTypeCode, String transTypeCode, String refSrc) {
        this.organizeCode = organizeCode;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.destQty = destQty;
        this.busiTypeCode = busiTypeCode;
        this.transTypeCode = transTypeCode;
        this.refSrc = refSrc;
    }
}
